# React App Refactoring 🚀

Your task today:

* Take a look and try to understand what this app is doing. Try to get it running.
* If there are any problems, try to fix them.
* If there is bad code, feel free to refactor it.
* Please tell us what you are doing and what your ideas are, so that we can follow you.
* To run this app you need at least Node.js version `v21.5.0` and npm version `10.2.4`.

A couple of key points:

* This is not a test! There is no "master" solution. We just want to get an overall picture of you working with code.
* Just pretend it is your first working day and this is your task. You can do everything you would normally do (including use Google, Stackoverflow or ask us for help).
* This is supposed to be done in casual conversation, relax and tell us your opinion about the questions.
* We do pair programming here and this interview is not different, so if there is anything you need help with, please ask.
* You can use your favorite IDE.


## Available Scripts

In the project directory, you can run:

### `npm start`

Runs the app in the development mode.\
Open [http://localhost:3000](http://localhost:3000) to view it in the browser.

The page will reload if you make edits.\
You will also see any lint errors in the console.

### `npm test`

Launches the test runner in the interactive watch mode.

### `npm run build`

Builds the app for production to the `build` folder.\
It correctly bundles React in production mode and optimizes the build for the best performance.

The build is minified and the filenames include the hashes.\
Your app is ready to be deployed!